Bug 1172797 (CVE-2014-8133) - CVE-2014-8133 kernel: x86: espfix(64) bypass via set_thread_area and CLONE_SETTLS
Summary: CVE-2014-8133 kernel: x86: espfix(64) bypass via set_thread_area and CLONE_SE...
Status: CLOSED ERRATA
Alias: CVE-2014-8133
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Andrej Manduch
URL:
Whiteboard: impact=low,public=20141215,reported=2...
Keywords: Security
Depends On: 1172798 1174374
Blocks: 1170693
TreeView+ depends on / blocked
 
Reported: 2014-12-10 18:48 UTC by Petr Matousek
Modified: 2015-07-22 19:29 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the espfix functionality could be bypassed by installing a 16-bit RW data segment into GDT instead of LDT (which espfix checks), and using that segment on the stack. A local, unprivileged user could potentially use this flaw to leak kernel stack addresses.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 19:29:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1272 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2015-07-22 11:56:25 UTC

Description Petr Matousek 2014-12-10 18:48:59 UTC
It was found that espfix funcionality (when returning to userspace with a 16
bit stack, the CPU will not restore the high word(s) of stack pointer for us
on executing iret and thus potentially leaks kernel addresses; espfix fixes
this) can be bypassed by installing 16-bit RW data segment into GDT instead
of LDT (which espfix checks for) and using it for stack.

A local unprivileged user could potentially use this flaw to leak kernel
stack addresses.

Acknowledgements:

Red Hat would like to thank Andy Lutomirski for reporting this issue.

Comment 2 Petr Matousek 2014-12-10 18:50:39 UTC
Statement:

This issue did not affect the Linux kernel packages as shipped with Red
Hat Enterprise Linux 7 and Red Hat Enterprise Linux MRG 2.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and
maintenance life cycle. This has been rated as having Low security
impact and is not currently planned to be addressed in future updates. For
additional information, refer to the Red Hat Enterprise Linux Life
Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 Petr Matousek 2014-12-15 18:35:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1174374]

Comment 7 Fedora Update System 2014-12-21 06:36:32 UTC
kernel-3.17.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-22 02:32:40 UTC
kernel-3.17.7-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2015-07-22 08:34:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1272 https://rhn.redhat.com/errata/RHSA-2015-1272.html


Note You need to log in before you can comment on or make changes to this bug.